Package com.arms.egovframework.javaservice.treeframework.util

## Class PaginationInfo

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.util.PaginationInfo

-     @MappedSuperclass
      public class PaginationInfo
      extends java.lang.Object

  PaginationInfo.java

  NOTE:

                      페이징 처리를 위한 데이터가 담기는 빈.
                      페이징 처리에 필요한 데이터를 Required Fields, Not Required Fields 로 나누었다.

                      Required Fields
                      : 사용자가 입력해야 하는 필드값이다.
                      currentPageNo : 현재 페이지 번호.
                      recordCountPerPage : 한 페이지당 게시되는 게시물 건 수.
                      pageSize : 페이지 리스트에 게시되는 페이지 건수.
                      totalRecordCount : 전체 게시물 건 수.

                      Not Required Fields
                      : 사용자가 입력한 Required Fields 값을 바탕으로 계산하여 정해지는 값이다.
                      totalPageCount: 페이지 개수.
                      firstPageNoOnPageList : 페이지 리스트의 첫 페이지 번호.
                      lastPageNoOnPageList : 페이지 리스트의 마지막 페이지 번호.
                      firstRecordIndex : 페이징 SQL의 조건절에 사용되는 시작 rownum.
                      lastRecordIndex : 페이징 SQL의 조건절에 사용되는 마지막 rownum.

                      페이징 Custom 태그인 <ui:pagination> 사용시에 paginationInfo 필드에 PaginationInfo 객체를 값으로 주어야 한다.

      <ui:pagination paginationInfo = "${paginationInfo}"
           type="image"
           jsFunction="linkPage"
      >

  Since:
    2009.06.01
  See Also:

         << 개정이력(Modification Information) >>

           수정일      수정자           수정내용
          -------    --------    ---------------------------
           2009.05.30  함철            최초 생성

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PaginationInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCurrentPageNo()` |
    `int` | `getFirstPageNo()` |
    `int` | `getFirstPageNoOnPageList()` |
    `int` | `getFirstRecordIndex()` |
    `int` | `getLastPageNo()` |
    `int` | `getLastPageNoOnPageList()` |
    `int` | `getLastRecordIndex()` |
    `int` | `getPageSize()` |
    `int` | `getRecordCountPerPage()` |
    `int` | `getTotalPageCount()` |
    `int` | `getTotalRecordCount()` |
    `void` | `setCurrentPageNo​(int currentPageNo)` |
    `void` | `setPageSize​(int pageSize)` |
    `void` | `setRecordCountPerPage​(int recordCountPerPage)` |
    `void` | `setTotalRecordCount​(int totalRecordCount)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PaginationInfo

          public PaginationInfo()

  - ### Method Detail

    - #### getRecordCountPerPage

          public int getRecordCountPerPage()

    - #### setRecordCountPerPage

          public void setRecordCountPerPage​(int recordCountPerPage)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public void setPageSize​(int pageSize)

    - #### getCurrentPageNo

          public int getCurrentPageNo()

    - #### setCurrentPageNo

          public void setCurrentPageNo​(int currentPageNo)

    - #### setTotalRecordCount

          public void setTotalRecordCount​(int totalRecordCount)

    - #### getTotalRecordCount

          public int getTotalRecordCount()

    - #### getTotalPageCount

          public int getTotalPageCount()

    - #### getFirstPageNo

          public int getFirstPageNo()

    - #### getLastPageNo

          public int getLastPageNo()

    - #### getFirstPageNoOnPageList

          public int getFirstPageNoOnPageList()

    - #### getLastPageNoOnPageList

          public int getLastPageNoOnPageList()

    - #### getFirstRecordIndex

          public int getFirstRecordIndex()

    - #### getLastRecordIndex

          public int getLastRecordIndex()